<?php

//==================================================
error_reporting(E_ALL ^ E_DEPRECATED);
include ("conexion.php");

//===========ELIMINAR PRODUCTO DE PAQUETE=======================================

if (isset($_GET['claveBorra']))
{
		$idmov=$_GET['claveBorra'];

		//PRIMERO OBTENGO LA CANTIDAD DE PRODUCTOS QUE SE HABIAN DESCONTADO		
		$cons10="SELECT clave,cantidad FROM contenido_dotacion_catedratico WHERE idmovimiento='$idmov'";
		$res10=mysql_query($cons10,$conex) or die ("No se realizo cons10");		
		$cant_suma=mysql_result($res10,0,'cantidad');
		$borra=mysql_result($res10,0,'clave');
		
		/* ACTUALIZO INVENTARIO */
		$cons411="SELECT clasificacion FROM productos WHERE clave='$borra'";
		$res411=mysql_query($cons411,$conex) or die (mysql_error());
		$clas1=mysql_result($res411,0,'clasificacion');
		if($clas1 != 'Incontables')
		{
			$nuevaexist=0;
			$cons401="SELECT existencia FROM almacenes WHERE idProducto='$borra'" ;
			$res401=mysql_query($cons401,$conex) or die ("No se pudo consultar existencias cons401");
			$existencia=mysql_result($res401,0,'existencia');
				
			$nuevaexist=$existencia + $cant_suma;
				
			$cons402="UPDATE almacenes SET existencia='$nuevaexist' WHERE idProducto='$borra'" ;
			$res402=mysql_query($cons402,$conex) or die ("No se pudo actualizar existencia cons402");
		}
		//REALIZO BORRADO DEL REGISTRO UNA VEZ ACTUALIZADO EL INVENTARIO
		$cons5="DELETE FROM contenido_dotacion_catedratico WHERE idmovimiento='$idmov'";
		$res5=mysql_query($cons5,$conex) or die ("No se elimino el producto");

		$cons001="SELECT * FROM productos WHERE clave='$borra'";
		$res001=mysql_query($cons001,$conex) or die ("No se ejecuto cons01");
		$nomproduct=mysql_result($res001,0,'nombre');
		
}//END if

//========================== AGREGAR PRODUCTO A DOTACION DEL CATEDRÁTICO =========================================================

if (isset($_GET['clave'])and ($_GET['cantidad']) )
{
		//OBTENGO LA CLAVE, CANTIDAD Y FOLIO
		$clave=$_GET['clave'];
		$cantidad=$_GET['cantidad'];
		$iddotacion=$_GET['dotacion'];
		$nueva=0;

		$cons9="SELECT nombre,idPresentacion FROM productos WHERE clave='$clave'";
		$res9=mysql_query($cons9,$conex) or die ("No se realizo cons9");
		$nomproducto=mysql_result($res9,0,'nombre');
		$idpresentacion=mysql_result($res9,0,'idPresentacion');

		$cons8="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresentacion'";
		$res8=mysql_query($cons8,$conex) or die ("No se realizo cons9");
		$presentacion=mysql_result($res8,0,'presentacion');

		//verifico si existe el producto ya en la dotacion
		$cons10="SELECT * FROM contenido_dotacion_catedratico WHERE clave='$clave' and idDotacion='$iddotacion'";
		$res10=mysql_query($cons10,$conex) or die ("No se realizo cons10");		
		$num_filas=mysql_num_rows($res10);
		if ($num_filas == 0)
		{
			$cons30="INSERT INTO contenido_dotacion_catedratico (idDotacion,clave,cantidad) VALUES ('$iddotacion','$clave','$cantidad')";
			$res30=mysql_query($cons30,$conex) or die ("No se realizó la insercion");
		}
		else
		{
			$cant_anterior=mysql_result($res10,0,'cantidad');
			$nueva=$cantidad + $cant_anterior;

			$cons31="UPDATE contenido_dotacion_catedratico SET cantidad='$nueva' WHERE clave='$clave' and idDotacion='$iddotacion'";
			$res31=mysql_query($cons31,$conex) or die ("No se realizó la actualizacion");
		}
		/* ACTUALIZO INVENTARIO */
		$cons411="SELECT clasificacion FROM productos WHERE clave='$clave'";
		$res411=mysql_query($cons411,$conex) or die (mysql_error());
		$clas1=mysql_result($res411,0,'clasificacion');
		if($clas1 != 'Incontables')
		{
			$nuevaexist=0;
			$cons401="SELECT existencia FROM almacenes WHERE idProducto='$clave'" ;
			$res401=mysql_query($cons401,$conex) or die ("No se pudo consultar existencias cons401");
			$existencia=mysql_result($res401,0,'existencia');
				
			$nuevaexist=$existencia - $cantidad;
				
			$cons402="UPDATE almacenes SET existencia='$nuevaexist' WHERE idProducto='$clave'" ;
			$res402=mysql_query($cons402,$conex) or die ("No se pudo actualizar existencia cons402");
		}		
}//END

//===================================================================================

if (isset($_GET['actualizaFecha']))
{
		$fecha=$_GET['actualizaFecha'];
		$iddotacion=$_GET['dota'];

		$cons402="UPDATE dotacion_catedraticos SET fechaEntrega='$fecha' WHERE idDotacion='$iddotacion'" ;
		$res402=mysql_query($cons402,$conex) or die ("No se pudo actualizar");
		
		echo "<span class='style4'>Fecha de Entrega:</span>";
        echo "<label for='fecha2'><span class='fecha rang10'></span>";
        echo "<input id='datetimepicker' name='fecha2' type='text' class='calendar' value='$fecha' size='10' maxlength='10' />";
        echo "</label>";
        echo "<input name='button' type='button' class='boton2' id='button' value='Actualizar fecha' onclick='javascript:actualizafecha()'/>&nbsp;<span class='style3'>Fecha actualizada</span>";
		
}//END if

//===================================================================================

if (isset($_GET['actualizaObs']))
{
		$obs=$_GET['actualizaObs'];
		$iddotacion=$_GET['dota'];

		$cons402="UPDATE dotacion_catedraticos SET observaciones='$obs' WHERE idDotacion='$iddotacion'" ;
		$res402=mysql_query($cons402,$conex) or die ("No se pudo actualizar");
		
        echo "<table width='437' border='0' align='center' cellpadding='0' cellspacing='5'>";
          echo "<tr>";
            echo "<td width='61%' class='style4'>Observaciones: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='style3'>Actualizado</span></td>";
          echo "</tr>";
          echo "<tr>";
            echo "<td><textarea name='observaciones' cols='70' rows='6' class='cuadrotexto' id='observaciones'>".$obs."</textarea></td>";
			echo "</tr>";
          echo "<tr>";
            echo "<td valign='bottom'><input name='button2' type='button' class='boton2' id='button2' value='Guardar observaciones' onclick='javascript:actualizaobs()'/></td>";
          echo "</tr>";
        echo "</table>";
		
}//END if
//=======================>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><

//===CERRAR CONEXION
mysql_close($conex);

?>

